Bug 1878862 - Revert "Ignore KubeAPIErrorBudgetBurn alert" [NEEDINFO]
Summary: Revert "Ignore KubeAPIErrorBudgetBurn alert"
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: kube-apiserver
Version: 4.6
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: ---
: 4.6.0
Assignee: Stefan Schimanski
QA Contact: Ke Wang
URL:
Whiteboard:
Depends On: 1821661
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-14 17:45 UTC by Stefan Schimanski
Modified: 2021-05-25 02:21 UTC (History)
18 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1821661
Environment:
test: [sig-instrumentation][Late] Alerts shouldn't report any alerts in firing state apart from Watchdog and AlertmanagerReceiversNotConfigured [Suite:openshift/conformance/parallel]
Last Closed: 2020-10-27 16:40:46 UTC
Target Upstream Version:
abodhe: needinfo? (sttts)
pkhaire: needinfo? (sttts)


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift origin pull 25495 0 None closed Bug 1873043: Bump to kube 1.19.0 2021-02-02 12:28:38 UTC
Github openshift origin pull 25500 0 None closed Bug 1878862: Revert "Ignore KubeAPIErrorBudgetBurn alert" 2021-02-02 12:28:38 UTC
Red Hat Product Errata RHBA-2020:4196 0 None None None 2020-10-27 16:41:07 UTC

Comment 2 Ke Wang 2020-09-22 05:53:50 UTC
$ oc adm release info --commits registry.svc.ci.openshift.org/ocp/release:4.6.0-0.nightly-2020-09-21-230455 | grep origin
  tests                        https://github.com/openshift/origin                 ae8f6c6b224fa1853a37a2b2a4c5fcd52ebba73c

$ git log --date local --pretty="%h %an %cd - %s" ae8f6c6 | grep '#25495'
a78b89d8c6 David Eads Thu Sep 17 01:33:03 2020 - Merge pull request #25495 from marun/bump-1.19.0
  
$ git log --date local --pretty="%h %an %cd - %s" ae8f6c6 | grep '#25500'
8dcf15654c OpenShift Merge Robot Mon Sep 21 21:39:41 2020 - Merge pull request #25500 from sttts/sttts-revert-KubeAPIErrorBudgetBurn-ignore

The bug related fixes already have been loaded on the latest OCP 4.6 payload,and results from https://search.ci.openshift.org/?search=KubeAPIErrorBudgetBurn&maxAge=48h&context=1&type=junit&name=&maxMatches=5&maxBytes=20971520&groupBy=job, don't see 'KubeAPIErrorBudgetBurn' alert firing anymore, so move the bug verified.

Comment 6 errata-xmlrpc 2020-10-27 16:40:46 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6 GA Images), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:4196


Note You need to log in before you can comment on or make changes to this bug.